# Wi-Fi geolocation library and tool

[![GitHub version](https://img.shields.io/github/v/release/xvitaly/wloc?sort=semver&color=brightgreen&logo=git&logoColor=white)](https://github.com/xvitaly/wloc/releases)
[![PyPi Version](https://img.shields.io/pypi/v/wloc.svg?logo=pypi&logoColor=white)](https://pypi.org/project/wloc/)
[![Python CI](https://github.com/xvitaly/wloc/actions/workflows/python.yaml/badge.svg)](https://github.com/xvitaly/wloc/actions/workflows/python.yaml)
[![CodeQL](https://github.com/xvitaly/wloc/actions/workflows/codeql.yml/badge.svg)](https://github.com/xvitaly/wloc/actions/workflows/codeql.yml)
[![AppVeyor CI status](https://ci.appveyor.com/api/projects/status/l7bmgfr9amvawty4?svg=true)](https://ci.appveyor.com/project/xvitaly/wloc)
[![Codacy](https://app.codacy.com/project/badge/Grade/cfe76043f5c248e8b7c365bf9b49975d)](https://www.codacy.com/gh/xvitaly/wloc/dashboard)
[![CodeFactor](https://www.codefactor.io/repository/github/xvitaly/wloc/badge)](https://www.codefactor.io/repository/github/xvitaly/wloc)
[![GitHub issues](https://img.shields.io/github/issues/xvitaly/wloc.svg?label=issues)](https://github.com/xvitaly/wloc/issues)
---

## About

Locate user by using global Wi-Fi database (no GPS required). Supported backends:

  * [Google Geolocation API](https://developers.google.com/maps/documentation/geolocation/intro);
  * [Mozilla Geolocation API](https://mozilla.github.io/ichnaea/api/index.html);
  * [Yandex Locator API](https://tech.yandex.ru/locator/doc/dg/api/json-docpage/).

Warning! Do not use `master` branch in production due to possible breaking changes. Always use [tagged versions](https://github.com/xvitaly/wloc/releases) instead.

## License
[GNU General Public License version 3](LICENSE). External libraries can use another compatible licenses.

Icon for the Windows executable and installer from the [Noto Emoji](https://github.com/googlefonts/noto-emoji) font, licensed under the terms of the [Apache License 2.0](licenses/noto-emoji.LICENSE.txt).

## Documentation

Documentation available [here](docs/README.md).
